gstreamermm: Gst::ParseError Class Reference

gstreamermm 1.10.0

Public Types | Public Member Functions | List of all members
Gst::ParseError Class Reference

The different parsing errors that can occur. More...

`#include <gstreamermm/parse.h>`

Inheritance diagram for Gst::ParseError:
[legend]

## Public Types
enum | Code { SYNTAX, NO_SUCH_ELEMENT, NO_SUCH_PROPERTY, LINK, COULD_NOT_SET_PROPERTY, EMPTY_BIN, EMPTY, DELAYED_LINK }

## Public Member Functions
| ParseError (Code error_code, const Glib::ustring& error_message)
| ParseError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexcept override
| operator bool () const
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

The different parsing errors that can occur.

- SYNTAX - A syntax error occured.
- NO_SUCH_ELEMENT - The description contained an unknown element
- NO_SUCH_PROPERTY - An element did not have a specified property
- LINK - There was an error linking two pads.
- COULD_NOT_SET_PROPERTY - There was an error setting a property
- EMPTY_BIN - An empty bin was specified.
- EMPTY - An empty description was specified

## Member Enumeration Documentation

## ◆ Code

enum Gst::ParseError::Code

The different parsing errors that can occur.

Enumerator
SYNTAX | A syntax error occurred.
NO_SUCH_ELEMENT | The description contained an unknown element.
NO_SUCH_PROPERTY | An element did not have a specified property.
LINK | There was an error linking two pads.
COULD_NOT_SET_PROPERTY | There was an error setting a property.
EMPTY_BIN | An empty bin was specified.
EMPTY | An empty description was specified.
DELAYED_LINK | A delayed link did not get resolved.

## Constructor & Destructor Documentation

## ◆ ParseError() [1/2]

Gst::ParseError::ParseError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

## ◆ ParseError() [2/2]

Gst::ParseError::ParseError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Gst::ParseError::code | ( |  | ) | const